Bug 1218299 - TypeError: 'error' object does not support indexing
TypeError: 'error' object does not support indexing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Fedora Extras Quality Assurance
:
: 1246881 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-04 10:19 EDT by Sandro Mani
Modified: 2015-08-19 03:51 EDT (History)
10 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.10-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 22:13:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2015-05-04 10:19:55 EDT
Description of problem:

$ sudo dnf builddep iaxclient
enabling rpmfusion-nonfree-updates-source repository
enabling rpmfusion-nonfree-source repository
enabling rpmfusion-free-source repository
enabling local-source repository
enabling rpmfusion-free-updates-source repository
enabling rpmfusion-nonfree-updates-testing-source repository
enabling rawhide-source repository
enabling rpmfusion-free-updates-testing-source repository
Local - Source                                                                                               9.8 MB/s |  15 kB     00:00    
Local                                                                                                         79 MB/s | 184 kB     00:00    
Last metadata expiration check performed 0:00:00 ago on Mon May  4 16:18:14 2015.
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf-plugins/builddep.py", line 154, in _src_deps
    h = self.rpm_ts.hdrFromFdno(fd)
  File "/usr/lib64/python3.4/site-packages/rpm/transaction.py", line 166, in hdrFromFdno
    raise rpm.error("public key not available")
_rpm.error: public key not available

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1077, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf-plugins/builddep.py", line 71, in inner
    return func(*args, **kwds)
  File "/usr/lib/python3.4/site-packages/dnf-plugins/builddep.py", line 130, in run
    self._remote_deps(pkgspec)
  File "/usr/lib/python3.4/site-packages/dnf-plugins/builddep.py", line 194, in _remote_deps
    self._src_deps(pkg.localPkg())
  File "/usr/lib/python3.4/site-packages/dnf-plugins/builddep.py", line 156, in _src_deps
    if e[0] == 'public key not available':
TypeError: 'error' object does not support indexing


Version-Release number of selected component (if applicable):
dnf-1.0.0-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. dnf builddep XXXXX
Comment 1 Sandro Mani 2015-07-09 19:09:21 EDT
This is still broken. Any chance of fixing this? Kinda useful to have a working dnf builddep...
Comment 2 Michael Mráka 2015-07-15 07:16:46 EDT
Proposed fix as a part of
https://github.com/rpm-software-management/dnf-plugins-core/pull/102
Comment 3 Jan Kurik 2015-07-15 10:11:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Richard W.M. Jones 2015-07-16 17:42:14 EDT
Is there a package that we can test?  I've hit this bug as well.
Comment 5 Michael Mráka 2015-08-05 05:07:11 EDT
*** Bug 1246881 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2015-08-10 06:05:35 EDT
dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23
Comment 7 Fedora Update System 2015-08-10 06:49:17 EDT
dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
Comment 8 Fedora Update System 2015-08-10 22:10:31 EDT
Package dnf-plugins-core-0.1.10-1.fc22, dnf-1.1.0-1.fc22, hawkey-0.6.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.10-1.fc22 dnf-1.1.0-1.fc22 hawkey-0.6.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13162/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2015-08-14 22:13:59 EDT
dnf-plugins-core-0.1.10-1.fc22, hawkey-0.6.0-1.fc22, dnf-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-08-19 03:51:25 EDT
dnf-plugins-core-0.1.10-1.fc23, hawkey-0.6.0-1.fc23, dnf-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.